<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="view"
            type="it.integry.integrywmsnative.view.dialogs.scan_or_create_lu.DialogScanOrCreateLUView" />
    </data>


    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:paddingHorizontal="16dp"
        android:paddingVertical="16dp">


        <androidx.appcompat.widget.AppCompatImageView
            style="@style/MaterialAlertDialog.Material3.Title.Icon.CenterStacked"
            android:layout_width="36dp"
            android:layout_height="36dp"
            android:src="@drawable/ic_error_white_24dp"
            app:tint="?colorPrimary" />


        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/title_text"
            style="@style/MaterialAlertDialog.Material3.Title.Text.CenterStacked"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:text="@string/title_open_lu" />


        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingStart="16dp"
            android:paddingEnd="16dp">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:orientation="horizontal"
                android:gravity="center_horizontal">


                <ProgressBar
                    android:id="@+id/progressBar"
                    style="?android:attr/progressBarStyle"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content" />

                <androidx.appcompat.widget.AppCompatTextView
                    style="@style/MaterialAlertDialog.Material3.Body.Text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginStart="4dp"
                    android:layout_marginEnd="12dp"
                    android:gravity="center_horizontal"
                    android:text="Scansiona il codice a barre di una UL" />
            </androidx.appcompat.widget.LinearLayoutCompat>


        </androidx.appcompat.widget.LinearLayoutCompat>


        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/dialog_scan_or_create_lu__creation_layout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:gravity="center_horizontal"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:visibility="@{view.creationEnabled}">


            <androidx.appcompat.widget.AppCompatTextView
                style="@style/MaterialAlertDialog.Material3.Body.Text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_horizontal"
                android:layout_marginVertical="12dp"
                android:gravity="center_horizontal"
                android:text="OPPURE"
                android:textStyle="bold" />

            <com.google.android.material.button.MaterialButton
                android:id="@+id/create_new_lu_button"
                style="@style/Widget.Material3.Button.UnelevatedButton"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/button_create_new_ul" />
        </androidx.appcompat.widget.LinearLayoutCompat>




            <androidx.appcompat.widget.LinearLayoutCompat
                android:id="@+id/dialog_scan_or_create_lu__basket_layout"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                android:gravity="center_horizontal"
                app:visibility="@{view.basketEnabled}">


                <androidx.appcompat.widget.AppCompatTextView
                    style="@style/MaterialAlertDialog.Material3.Body.Text"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_horizontal"
                    android:layout_marginVertical="12dp"
                    android:gravity="center_horizontal"
                    android:text="OPPURE"
                    android:textStyle="bold" />

                <com.google.android.material.button.MaterialButton
                    android:id="@+id/view_basket"
                    style="@style/Widget.Material3.Button.OutlinedButton.Icon"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/button_view_basket_ul"
                    app:icon="@drawable/ic_black_shopping_cart"
                    app:iconSize="24dp" />
            </androidx.appcompat.widget.LinearLayoutCompat>


    </androidx.appcompat.widget.LinearLayoutCompat>


</layout>